var RssBraider = require('rss-braider'),
    fs = require('fs'),
    ejs = require('ejs'),
    read = require('fs').readFileSync,
    join = require('path').join,
    str = read(join(__dirname, '/templates/rss.ejs'), 'utf8'),
    feeds = {};

// Pull feeds from config files: ,
//      feeds.simple_test_feed = require("./config/feed").feed;
// Or define in-line
feeds.simple_test_feed = {
    "feed_name"             : "feed",
    "default_count"         : 1,
    "no_cdata_fields"       : [], // Don't wrap these fields in CDATA tags
    "meta" : {
        "title": "Paleo",
        "description": "Combined Paleo Feed",
        'site_url':'http://pipes.silvrtree.co.uk/paleo.xml'
    },
    "sources" : [
        {
            /* "name"              : "JobServe",*/
            "count"             : 1,
            "feed_url"          : "http://feeds.feedburner.com/PaleoPlan"
        }
    ]
};
var braider_options = {
    feeds           : feeds,
    indent          : "    ",
    date_sort_order : "desc", // Newest first
    log_level       : "warn",
    dedupe_fields : ['link','guid']
};
var rss_braider = RssBraider.createClient(braider_options);

// Override logging level (debug, info, warn, err, off)
rss_braider.logger.level('off');

// Output braided feed as rss. use 'json' for JSON output.
//rss_braider.processFeed('simple_test_feed', 'rss', function(err, data){
    rss_braider.processFeed('simple_test_feed', 'json', function(err, data){
    if (err) {
        return console.log(err);
    }

       var j = JSON.parse(data);
        var ejsOutput = ejs.compile(str)(j);

    console.log(j);
        console.log(ejsOutput);
        fs.writeFile(__dirname + "/html/paleo.html", ejsOutput, function(err) {
    //fs.writeFile(__dirname + "/html/paleo.json", data, function(err) {
        if(err) {
            return console.log(err);
        }

        console.log("The file was saved!");
    });
});
